# Generated by Django 4.1.7 on 2023-06-07 19:41

import django.db.models.deletion
from django.conf import settings
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("core", "0017_alter_userprofile_date_of_birth"),
        migrations.swappable_dependency(settings.OAUTH2_PROVIDER_APPLICATION_MODEL),
        migrations.swappable_dependency(settings.OAUTH2_PROVIDER_ACCESS_TOKEN_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name="FederatedGuest",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("url", models.URLField()),
                ("client_id", models.CharField(max_length=255)),
                ("client_secret", models.CharField(max_length=255)),
                (
                    "access_token",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.OAUTH2_PROVIDER_ACCESS_TOKEN_MODEL,
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="InviteCode",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("code", models.CharField(max_length=255)),
                ("url", models.URLField()),
                ("created_at", models.DateTimeField(auto_now_add=True)),
            ],
        ),
        migrations.CreateModel(
            name="FederatedUser",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("email", models.EmailField(max_length=254, verbose_name="email address")),
                ("first_name", models.CharField(max_length=254, verbose_name="first name")),
                ("last_name", models.CharField(max_length=254, verbose_name="last name")),
                ("date_of_birth", models.DateField(verbose_name="date of birth")),
                (
                    "phone",
                    models.CharField(blank=True, max_length=254, verbose_name="phone number"),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                (
                    "federated_instance",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE, to="federation.federatedguest"
                    ),
                ),
                ("qualifications", models.ManyToManyField(to="core.qualification")),
            ],
        ),
        migrations.CreateModel(
            name="FederatedParticipation",
            fields=[
                (
                    "abstractparticipation_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="core.abstractparticipation",
                    ),
                ),
                (
                    "federated_user",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="federation.federateduser",
                        verbose_name="federated participant",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "base_manager_name": "objects",
            },
            bases=("core.abstractparticipation",),
        ),
        migrations.CreateModel(
            name="FederatedHost",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False, verbose_name="ID"
                    ),
                ),
                ("name", models.CharField(max_length=255)),
                ("url", models.URLField()),
                ("access_token", models.CharField(max_length=255)),
                (
                    "oauth_application",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to=settings.OAUTH2_PROVIDER_APPLICATION_MODEL,
                    ),
                ),
            ],
        ),
    ]
